org.codehaus.plexus.maven.plugin

## Class AbstractMergeMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.AbstractMergeMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  PlexusMergeMojo, PlexusTestMergeMojo

    public abstract class AbstractMergeMojo
    extends org.apache.maven.plugin.AbstractMojo

Version:
  $Id: AbstractMergeMojo.java 6925 2007-10-01 04:35:26Z user57 $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractMergeMojo()`

### Method Summary

Methods
`void` `execute()`
`protected abstract File` `getOutput()`
`protected abstract List` `getResources()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractMergeMojo

    public AbstractMergeMojo()

### Method Detail

#### getResources

    protected abstract List getResources()

#### getOutput

    protected abstract File getOutput()

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`